<h1>Produkty</h1>
<div class="search-holder">
    <div class="search-holder-text bg-lightgreen noborder-style" style='height: 51px'>
        <div class="padding15">
            <form method='post' action='/admin/products/' style='float: left'>
                <label></label>
                <select name="category_id">
                    <option VALUE='all' <?= ($this->category_id == 'all') ? "SELECTED" : "" ?>>Vše</option>
                    <?php
                    foreach ($this->categories as $rowArray) {
                        $selected = ($this->category_id == $rowArray['category_id']) ? "SELECTED" : "";
                        echo "<option value='" . $rowArray['category_id'] . "' $selected>" . $rowArray['title_cz'] . "</option>";
                    }
                    ?>
                    <option VALUE='unsorted' <?= ($this->category_id == 'unsorted') ? "SELECTED" : "" ?>>Nezařazené předměty</option>
                </select>
                <input type='submit' value='Vybrat produkty této kategorie'>
            </form>
        </div>
    </div>
    <a href='/admin/products/edit/?category_id=<?= $this->category_id ?>'>
        <div class="floatright button active border-style">Vložit produkt</div>
    </a>
</div>
<?php include 'page.phtml';?>
<div class="search-holder">
    <div class='legend-holder'>
        <div class='legend-color-holder light'>&nbsp;</div>prodáván&nbsp;
    </div>
    <div class='legend-holder'>
        <div class='legend-color-holder blue'>&nbsp;</div>vystaven (nelze dát do košíku)&nbsp;
    </div>
    <div class='legend-holder'>
        <div class='legend-color-holder red'>&nbsp;</div>nezobrazuje se&nbsp;
    </div>
</div>
<table class="admintable">
    <thead>
    <td style="width: 24px;">
        <a href='<?= $this->url() . "?order=product_id" ?>'>
            <div class="full active"><?= ($this->order == 'product_id') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>id</div>
        </a>
    </td>
    <td style="width: 130px">
        kategorie
    </td>
    <td>
        <a href='<?= $this->url() . "?order=title" ?>'>
            <div class="full active"><?= ($this->order == 'title') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>název zboží</div>
        </a>
    </td>
    <td>
        text ke zboží
    </td>
    <td style="width: 110px;">
        <a href='<?= $this->url() . "?order=producer" ?>'>
            <div class="full active"><?= ($this->order == 'producer') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>výrobce</div>
        </a>
    </td>    
    <td style="width: 26px;">
        <a href='<?= $this->url() . "?order=price" ?>'>
            <div class="full active"><?= ($this->order == 'price') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>kč</div>
        </a>
    </td>
    <td style="width: 20px;">
        <a href='<?= $this->url() . "?order=vat_rate" ?>'>
            <div class="full active"><?= ($this->order == 'vat_rate') ? "<img src='/graphics/arrow_down.png' alt='sort'/>" : "" ?>DPH</div>
        </a>
    </td>
    <td></td>
    <td></td>
</thead>
<tbody>
    <?php
    if (!empty($this->products)) {
        $color = 'dark';
        $index = $this->page - 1;
        foreach ($this->products[$index] as $value) {
            if ($value['status'] == '2') {
                $color = 'blue';
            } else if ($value['status'] == '0') {
                $color = 'red';                
            }
            echo "<tr>";
            echo "<td class='$color'>";
            echo $value['product_id'];
            echo "</td>";
            echo "<td class='$color smalltext'>";
            if (empty($value['subcategory_title'])) {
                echo "nezařazeno";
            } else {
                $subcats = explode(';', $value['subcategory_title']);
                foreach ($subcats as $v) {
                    echo $v . "<br/>";
                }
            }
            echo "</td>";
            echo "<td class='$color'>";
            echo "<a href='/admin/products/view/?product_id=" . $value['product_id'] . "' style='text-decoration: underline;'>" . $value['title'] . "</a>";
            echo "</td>";
            echo "<td class='$color smalltext'>";
            echo strip_tags($value['text']);
            echo "</td>";
            echo "<td class='$color'>";
            echo $value['producer'];
            echo "</td>";
            echo "<td class='$color'>";
            echo $value['price'];
            echo "</td>";
            echo "<td class='$color'>";
            echo ($value['vat_rate'] == 1) ? "stan." : "sníž.";
            echo "</td>";
            echo "<td class='$color'><a href='/admin/products/edit/?product_id=" . $value['product_id'] . "'>[upravit]</a></td>";
            echo "<td class='$color'><a href='/admin/products/delete/?product_id=" . $value['product_id'] . "' onclick=\"return confirm('Chcete skutečně smazat tento produkt?')\">[smazat]</a></td>";
            echo "</tr>";
            if ($color == 'dark') {
                $color = 'light';
            } else {
                $color = 'dark';
            }
        }
    }
    ?>
</tbody>
</table>
<a href='/admin/products/edit/'>
    <div class="floatright button active border-style">Vložit produkt</div>
</a>
<?php include 'page.phtml'; /*echo "<pre>";
var_dump($this->products);
echo "</pre>";*/
?>